;-----------------------------------------------------------+
;	Sample Song for mobileTunes v1.0		    |
;     B Y   K e r m   M a r t i a n   ( C ) 2 0 0 4         |
;-----------------------------------------------------------+


.nolist				;defines, includes, and equates
#DEFINE equ .equ
#DEFINE EQU .equ
#DEFINE end .end
#include "ti83asm.inc"		;ROM call definitions
#include "tokens.inc"		;token interpretation
.list
pendfile equ 0FF08h

    .org 9327h                  ;start address of program
;---------------------------------------------
INIT:
	xor d
	jr Start
	.dw 0
	.db $05,$00
	.dw Icon
	.dw 0
Start:
	ld hl,SongName
	rst 20h
	call _chkfindsym
	ld hl,ProgDataStart-Init+2
	add hl,de
	ld (pendfile+1),hl
	call _op1toop2
	ld hl,ProgMain
	rst 20h
	call _chkfindsym
	ret c
	ex de,hl
	ld (pendfile+6),hl
	ld a,1
	ld (pendfile),a
	ld a,8+1
	ld (pendfile+5),a
	ret
ProgMain:
	.db 05h,"MTUNES",0
SongName:
	.db 05h,"GREENSLV",0
Icon:				;a 16x16 icon
	.db 00h,00h
	.db 00h,9eh
	.db 01h,92h
	.db 02h,92h
	.db 04h,0b6h
	.db 78h,80h
	.db 48h,80h
	.db 48h,80h
	.db 48h,98h
	.db 7ch,94h
	.db 7eh,94h
	.db 07h,90h
	.db 03h,0b0h
	.db 01h,80h
	.db 00h,80h
	.db 00h,00h
;-----------------------------------------------
PROGDATASTART:
	.dw 521,147
	.dw 438,348
	.dw 380,195
	.dw 347,330
	.dw 327,117
	.dw 347,219
	.dw 380,390
	.dw 464,165
	.dw 586,196
	.dw 521,73
	.dw 464,165
	.dw 438,348
	.dw 521,177
	.dw 521,220
	.dw 586,65
	.dw 521,171
	.dw 464,330
	.dw 586,131
	.dw 697,220
	.dw 521,147
	.dw 438,348
	.dw 380,195
	.dw 347,330
	.dw 327,117
	.dw 347,219
	.dw 380,390
	.dw 464,165
	.dw 586,196
	.dw 521,73
	.dw 464,165
	.dw 438,262
	.dw 464,83
	.dw 521,146
	.dw 553,208
	.dw 621,62
	.dw 586,131
	.dw 521,440
	.dw 521,440
	.dw 291,785
	.dw 291,393
	.dw 309,124
	.dw 347,220
	.dw 380,390
	.dw 464,165
	.dw 586,196
	.dw 521,73
	.dw 464,165
	.dw 438,348
	.dw 521,177
	.dw 521,220
	.dw 586,65
	.dw 521,171
	.dw 464,330
	.dw 586,131
	.dw 697,330
	.dw 291,785
	.dw 291,393
	.dw 309,124
	.dw 347,220
	.dw 380,390
	.dw 464,165
	.dw 586,196
	.dw 521,73
	.dw 464,165
	.dw 438,262
	.dw 464,82
	.dw 521,147
	.dw 553,208
	.dw 621,62
	.dw 586,131
	.dw 521,531
	.dw 521,531
	.dw 0d,0d
PROGDATAEND:
.end
END